Package groovy.text

# Class TemplateExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
groovy.text.TemplateExecutionException

All Implemented Interfaces:
  `Serializable`

public class TemplateExecutionException extends Exception
A custom exception class to flag template execution errors

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TemplateExecutionException(int lineNumber)`
`TemplateExecutionException(int lineNumber, String message)`
`TemplateExecutionException(int lineNumber, String message, Throwable cause)`
`TemplateExecutionException(int lineNumber, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLineNumber()`
Returns the line number in the template source where the error occurred

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TemplateExecutionException

public TemplateExecutionException(int lineNumber)

### TemplateExecutionException

public TemplateExecutionException(int lineNumber, String message)

### TemplateExecutionException

public TemplateExecutionException(int lineNumber, String message, Throwable cause)

### TemplateExecutionException

public TemplateExecutionException(int lineNumber, Throwable cause)

## Method Details

### getLineNumber

public int getLineNumber()
Returns the line number in the template source where the error occurred

Returns:
  the one-based line number of the template parsing error.